## Links
- [Split A GPU Between Multiple Computers - Proxmox LXC (Unprivileged)
](https://youtu.be/0ZDr5h52OOE?si=F4RVd5mA5IRjrpXU)
- [Must-Have OpenWrt Router Setup For Your Proxmox
](https://youtu.be/3mPbrunpjpk?si=WofNEJUZL4FAw7HP)
- [Docker on Proxmox LXC 🚀 Zero Bloat and Pure Performance!
](https://youtu.be/-ZSQdJ62r-Q?si=GCXOEsKnOdm6OIiz)
- [stuff](url)

## 'pct' commands
```markdown
[pct commands](https://git.crazystorm.xyz/medusa/the_information_nexus/src/branch/main/docs/tech_docs/pct.md)
```

- [pct commands](https://git.crazystorm.xyz/medusa/the_information_nexus/src/branch/main/docs/tech_docs/pct.md)

---

You've provided an extensive configuration for your OpenWRT, Alpine, and Kali Linux containers in a Proxmox environment. Here's a concise and coherent version of your commands for each container, with optimizations and updates to ensure they work effectively in your lab setting.

### OpenWRT Container

**Creation and Configuration:**
```bash
pct create 100 /var/lib/vz/template/cache/openwrt-rootfs.tar.xz --unprivileged 1 --arch amd64 --ostype unmanaged --hostname openwrt-0 --password changeme --tag network --storage local-lvm --memory 256 --swap 128 --rootfs local-lvm:1,size=512M \
--net0 name=eth0,bridge=vmbr0,firewall=1 \
--net1 name=eth1,bridge=vmbr1,firewall=1 \
--cores 1 --cpuunits 500 --onboot 1 --debug 0

pct start 100

pct console 100
```

**Package Installation and Network Setup:**
```bash
opkg update
opkg install qemu-ga
reboot

vi /etc/config/network
/etc/init.d/network restart

vi /etc/config/firewall
/etc/init.d/firewall restart
```

### Alpine Container

**Container Setup for Docker:**
```bash
pct create 300 /var/lib/vz/template/cache/alpine-rootfs.tar.xz --unprivileged 1 --arch amd64 --ostype alpine --hostname alpine-0 --password changeme --tag docker --storage local-lvm --cores 2 --memory 1024 --swap 256 --rootfs local-lvm:1,size=8G --net0 name=eth0,bridge=vmbr0,firewall=1 \
--keyctl 1 --nesting 1 --cpuunits 1000 --onboot 1 --debug 0

pct enter 300

sed -i '/^#.*community/s/^#//' /etc/apk/repositories
apk update && apk upgrade
apk add qemu-guest-agent newt curl openssh mc sudo build-base gcc abuild binutils binutils-doc gcc-doc
```

**Network and SSH Configuration:**
```bash
setup-interfaces
service networking restart

apk add openssh
rc-update add sshd
service sshd start

vi /etc/ssh/sshd_config
service sshd restart
```

**Docker and User Setup:**
```bash
apk add docker
rc-service docker start
rc-update add docker default

adduser -s /bin/ash medusa
addgroup medusa docker
visudo

docker run hello-world
```

### Kali Linux Container

**Creation and Basic Setup:**
```bash
pct create 200 /var/lib/vz/template/cache/kali-default-rootfs.tar.xz --unprivileged 1 --arch amd64 --ostype debian --hostname kali-0 --password changeme --tag tools --storage local-lvm --cores 2 --memory 2048 --swap 1024 --rootfs local-lvm:1,size=10G --net0 name=eth0,bridge=vmbr0,firewall=1 \
--cpuunits 1500 --onboot 1 --debug 0 --features nesting=1,keyctl=1
```

These commands structure the setup and configuration processes for each container type. You might need to adjust specific settings or add more configurations depending on your specific lab requirements or as you observe how the containers perform under load.